Name:           ogmtools
Epoch:          1
Version:        1.5
Release:        %mkrel 19
Summary:        OGG media stream tools
License:        GPLv2
Group:          Video/Utilities
URL:            https://www.bunkus.org/videotools/ogmtools/
Source0:        https://www.bunkus.org/videotools/ogmtools/%{name}-%{version}.tar.bz2
Patch0:         ogmtools-1.5-optflags.patch

BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(dvdread)

%description
These tools allow information about (ogminfo) or extraction
from (ogmdemux) or creation of (ogmmerge) OGG media streams.
Note that OGM is used for "OGG media streams".

%prep
%autosetup -p1

%build
%configure
%make_build CPPFLAGS=--std=c++11

%install
%make_install

%files
%doc README ChangeLog
%_bindir/*
%_mandir/man1/*



%changelog
* Wed Mar 16 2022 danf <danf> 1:1.5-19.mga9
+ Revision: 1795107
- Compile using C++11 since the code doesn't work under the new default C++17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 luigiwalser <luigiwalser> 1:1.5-18.mga8
+ Revision: 1571024
- rebuild for libdvdread

* Tue Feb 18 2020 umeabot <umeabot> 1:1.5-17.mga8
+ Revision: 1538239
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 1:1.5-16.mga8
+ Revision: 1461387
- rebuild for new libdvdread 6.0.2

* Sun Sep 23 2018 umeabot <umeabot> 1:1.5-15.mga7
+ Revision: 1299962
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 daviddavid <daviddavid> 1:1.5-14.mga7
+ Revision: 1148044
- add patch from fedora to honor user C(XX)-FLAGS thus fixing empty debugsourcefiles.list

* Fri Feb 05 2016 umeabot <umeabot> 1:1.5-13.mga6
+ Revision: 939446
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5-12.mga5
+ Revision: 748135
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5-11.mga5
+ Revision: 683164
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.5-10.mga4
+ Revision: 521488
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1:1.5-9.mga3
+ Revision: 391017
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 1:1.5-8.mga3
+ Revision: 260558
- reinstated Epoch to ease upgrading from Mdv 2010.1/2

* Fri Sep 02 2011 obgr_seneca <obgr_seneca> 1.5-7.mga2
+ Revision: 137937
- imported package ogmtools

